QGIS Application - Feature request #15652
Add option for OGR data sources to be opened in read only mode
2016-10-03 01:26 AM - Andreas Neumann

Status: Open

Priority: High

Assignee: Even Rouault

Category: Data Provider/OGR

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23575
Description

Apparently some data formats (e.g. geopackage) load with better performance if they are opened in "read only" mode - esp. when loaded
from a network share.

The add vector layer dialogue should therefore offer a "read only" flag for opening of vector formats that don't need to be edited.

See discussion at http:/lists.opengeospatial.org/pipermail/geopackage/2016-October/000200.html

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2019-04-17 11:03 PM - Johannes Kroeger

- Description updated

This would also fix #17980 :)
